#!/bin/sh
# Pour installer Cortex sur un serveur Debian

GREEN='\033[0;32m'
YELLOW='\033[1;33m'
NOCOLOR='\033[0m'

echo "${YELLOW} ** ${NOCOLOR} Début du script : 03-cortex"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Création du dossier"
echo "${NOCOLOR}"

mkdir -p /etc/panw >> /dev/null

echo "${YELLOW} * ${NOCOLOR} Création du dossier : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Copie du fichier : cortex.conf"
echo "${NOCOLOR}"

cp 03-cortex/etc/panw/cortex.conf /etc/panw/cortex.conf >> /dev/null

echo "${YELLOW} * ${NOCOLOR} Copie du fichier : cortex.conf : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Installation iptables"
echo "${NOCOLOR}"

apt install -y iptables >> /dev/null

echo "${YELLOW} * ${NOCOLOR} Installation iptables : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Installation Cortex"
echo "${NOCOLOR}"

dpkg -i 03-cortex/cortex-8.7.0.131661.deb

echo "${YELLOW} * ${NOCOLOR} Installation Cortex : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} ** ${NOCOLOR} Fin du script : 03-cortex"
echo "${NOCOLOR}"