#!/bin/sh
# Pour la configuration SNMP

GREEN='\033[0;32m'
YELLOW='\033[1;33m'
NOCOLOR='\033[0m'

echo "${YELLOW} ** ${NOCOLOR} Début du script : 06-snmp"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Installation composant"
echo "${NOCOLOR}"

apt install -y snmp snmpd >> /dev/null

echo "${YELLOW} * ${NOCOLOR} Installation composant : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Copie du fichier : snmpd.conf"
echo "${NOCOLOR}"

cp 06-snmp/snmpd.conf /etc/snmp/ >> /dev/null

echo "${YELLOW} * ${NOCOLOR} Copie du fichier : snmpd.conf : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Relance de service"
echo "${NOCOLOR}"

systemctl restart snmpd

echo "${YELLOW} * ${NOCOLOR} Relance de service : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} ** ${NOCOLOR} Fin du script : 06-snmp"
echo "${NOCOLOR}"