#!/bin/sh
# Pour la configuration Fail2Ban

GREEN='\033[0;32m'
YELLOW='\033[1;33m'
NOCOLOR='\033[0m'

echo "${YELLOW} ** ${NOCOLOR} Début du script : 10-Fail2Ban"
echo "${NOCOLOR}"

echo "${YELLOW} * ${NOCOLOR} Installation composant"
echo "${NOCOLOR}"

apt install -y fail2ban >> /dev/null

echo "${YELLOW} * ${NOCOLOR} Installation composant : ${GREEN} OK"
echo "${NOCOLOR}"

cp 10-Fail2ban/jail.local /etc/fail2ban/jail.local >> /dev/null

echo "${YELLOW} * ${NOCOLOR} Relance de service"
echo "${NOCOLOR}"

systemctl enable fail2ban
systemctl start fail2ban

echo "${YELLOW} * ${NOCOLOR} Relance de service : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} ** ${NOCOLOR} Fin du script : 10-Fail2Ban"
echo "${NOCOLOR}"