#!/bin/sh
# Pour install global

GREEN='\033[0;32m'
YELLOW='\033[1;33m'
RED='\033[1;31m'
NOCOLOR='\033[0m'

echo "${YELLOW} *** ${NOCOLOR} Mise en place des droits sur les scripts"
echo "${NOCOLOR}"

chmod +x ./01-ssh/script.sh >> /dev/null
chmod +x ./02-apt/script.sh >> /dev/null
chmod +x ./03-antivirus/script.sh >> /dev/null
chmod +x ./04-agent-glpi/script.sh >> /dev/null
chmod +x ./05-manageengine/script.sh >> /dev/null
chmod +x ./06-snmp/script.sh >> /dev/null
chmod +x ./07-DNS/script.sh >> /dev/null
chmod +x ./08-NRPE/script.sh >> /dev/null
chmod +x ./09-Firewall/script.sh >> /dev/null
chmod +x ./10-Fail2ban/script.sh >> /dev/null
chmod +x ./11-RemoveService/script.sh >> /dev/null
chmod +x ./12-hardening/script.sh >> /dev/null

echo "${YELLOW} *** ${NOCOLOR} Mise en place des droits : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : SSH"
echo "${NOCOLOR}"

./01-ssh/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : SSH : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : APT"
echo "${NOCOLOR}"

./02-apt/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : APT : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : Antivirus"
echo "${NOCOLOR}"

./03-antivirus/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : Antivirus : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : GLPI"
echo "${NOCOLOR}"

./04-agent-glpi/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : GLPI : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : SNMP"
echo "${NOCOLOR}"

./06-snmp/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : SNMP : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : DNS"
echo "${NOCOLOR}"

./07-DNS/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : DNS : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : NRPE"
echo "${NOCOLOR}"

./08-NRPE/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : NRPE : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : Firewall"
echo "${NOCOLOR}"

./09-Firewall/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : Firewall : ${GREEN} OK"
echo "${NOCOLOR}"

echo "${YELLOW} *** ${NOCOLOR} Lancement du script : Fail2Ban"
echo "${NOCOLOR}"

./10-Fail2ban/script.sh

echo "${YELLOW} *** ${NOCOLOR} Fin du script : Fail2Ban : ${GREEN} OK"
echo "${NOCOLOR}"